FreeBSD : mbedTLS/PolarSSL -- multiple vulnerabilities (953aaa57-6bce-11e5-9909-002590263bf5)

This script is Copyright (C) 2015 Tenable Network Security, Inc.


Synopsis :

The remote FreeBSD host is missing one or more security-related
updates.

Description :

ARM Limited reports :

In order to strengthen the minimum requirements for connections and to
protect against the Logjam attack, the minimum size of Diffie-Hellman
parameters accepted by the client has been increased to 1024 bits.

In addition the default size for the Diffie-Hellman parameters on the
server are increased to 2048 bits. This can be changed with
ssl_set_dh_params() in case this is necessary.

See also :

http://www.nessus.org/u?65bd8aac
http://www.nessus.org/u?70be5d6c

Solution :

Update the affected packages.

Risk factor :

High

Family: FreeBSD Local Security Checks

Nessus Plugin ID: 86279 ()

Bugtraq ID:

CVE ID:

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now